function [newValue] = checkboxBackwardTracking(~, ~)
%CHECKBOXDOPPLERCORRECTION Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

newValue = logical(artoaGui.trackParameter.checkboxBackwardTracking.Value);

artoaWorkspace.trackParameter.enableBackwardTracking = newValue;

%% Flip current soundsource combination table

artoaWorkspace.trackParameter.soundsourceCombinations = ...
    flipud(artoaWorkspace.trackParameter.soundsourceCombinations);
begin = artoaWorkspace.trackParameter.soundsourceCombinations.combinationBegin;
artoaWorkspace.trackParameter.soundsourceCombinations.combinationBegin = ...
    artoaWorkspace.trackParameter.soundsourceCombinations.combinationEnd;
artoaWorkspace.trackParameter.soundsourceCombinations.combinationEnd = begin;

artoa.controller.track.parameter.updateGui();

end